package com.docus.server.bl.service.impl;

import com.docus.server.bl.infrastructure.mapper.BlDeptMapper;
import com.docus.server.bl.infrastructure.mapper.BlTBasicMapper;
import com.docus.server.bl.infrastructure.mapper.BlUserMapper;
import com.docus.server.bl.service.IBlService;
import com.docus.server.record.pojo.dto.TBasicDTO;
import com.docus.server.sys.common.pojo.dto.DeptDTO;
import com.docus.server.sys.common.pojo.dto.UserDTO;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

@Component
@AllArgsConstructor
public class BlServiceImpl implements IBlService {

    private final BlDeptMapper blDeptMapper;
    private final BlUserMapper blUserMapper;
    private final BlTBasicMapper blTBasicMapper;

    @Override
    public List<DeptDTO> getDeptListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return blDeptMapper.getDeptListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }


    @Override
    public List<UserDTO> getUserListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return blUserMapper.getUserListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

    @Override
    public List<TBasicDTO> getTBasicListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return blTBasicMapper.getTBasicListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

}
