package com.docus.server.collect.dept.view;

import com.docus.server.collect.ICollector;
import com.docus.server.collect.web.job.AbstractCollectJob;
import com.docus.server.his.service.IHisService;
import com.docus.server.sys.common.pojo.dto.DeptDTO;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * 主动view请求科室数据job
 *
 * @see AbstractCollectJob
 * @see com.docus.server.collect.IJob
 * @see ICollector
 */
@Component
public class DeptViewCollectJob extends AbstractCollectJob<DeptDTO> {
    @Resource
    private IHisService hisService;

    /**
     * xxl jobhandler 手工执行，全量执行
     */
    @XxlJob("startAllDeptViewCollect")
    public void startAllDeptViewCollect() {
        super.startCollectAll(getJobParam());
    }

    /**
     * xxl jobhandler 配置定时启动，如果未完成任务跳过。增量收集
     */

    @XxlJob("startIncDeptViewCollect")
    public void startIncDeptViewCollect() {
        super.startCollectIncrement(getJobParam());
    }

    @Override
    public void batchInsertOrUpdate(List<DeptDTO> t) {
        deptService.batchInsertOrUpdatePowerDept(t);
    }

    @SuppressWarnings("unchecked")
    @Override
    public List<DeptDTO> execute(Date startDate, Date endDate, int pageNum, int pageSize) {
        //每家医院按照固定的格式写sql，不同医院需要替换不同的sql即可。
        return hisService.getDeptListView(startDate, endDate, pageNum, pageSize);
    }
}
