package com.docus.server.collect.web.enums;

import com.baomidou.mybatisplus.annotation.IEnum;

import java.util.Objects;

public interface IIntegerEnum extends IEnum {

    @Override
    Integer getValue();

    String getDisplay();

    static <T extends IIntegerEnum> T fromValue(Class<T> enumType, Integer value) {
        for (T object : enumType.getEnumConstants()) {
            if (Objects.equals(value, object.getValue())) {
                return object;
            }
        }
        throw new IllegalArgumentException("No. enum value 。" + value + "of " + enumType.getCanonicalName());
    }

    static <T extends IIntegerEnum> T fromDisplay(Class<T> enumType, String display) {
        for (T object : enumType.getEnumConstants()) {
            if (Objects.equals(display, object.getDisplay())) {
                return object;
            }
        }
        throw new IllegalArgumentException("No. enum value 。" + display + "of " + enumType.getCanonicalName());
    }
}
