package com.docus.log;

import org.springframework.context.annotation.ImportSelector;
import org.springframework.core.annotation.AnnotationAttributes;
import org.springframework.core.type.AnnotationMetadata;
import org.springframework.util.Assert;

public class EnableTrackGroupSelector implements ImportSelector {

    @Override
    public String[] selectImports(AnnotationMetadata importingClassMetadata) {
        AnnotationAttributes annotationAttributes = AnnotationAttributes.fromMap(importingClassMetadata.getAnnotationAttributes(EnableTrackGroup.class.getName(), false));
        Assert.notNull(annotationAttributes, String.format(
                "@EnableTrackGroup is not present on importing class '%s' as expected",
                importingClassMetadata.getClassName()));
        return new String[]{EnableTrackGroupConfiguration.class.getName()};
    }

}
