package com.docus.log.context;

import com.docus.log.processor.ITrackProcessor;
import lombok.Data;

import java.util.Map;

@Data
public class TrackContext {
    private static final ThreadLocal<TrackContext> CONTEXT_HOLDER = new ThreadLocal<>();

    private Class classType;
    private String className;
    private String methodName;
    private Object[] args;

    private Object beforeResult;
    private Object afterReturnResult;
    private boolean error = false;
    private String exMessageResult;

    private String group;
    private String desc;
    private String action;
    private String[] beanNames;
    private Class<? extends ITrackProcessor> processor;
    private Map<String, Object> params;

    //初始化
    public static void init(Map<String, Object> params) {
        CONTEXT_HOLDER.remove();
        TrackContext context = new TrackContext();
        context.setParams(params);
        CONTEXT_HOLDER.set(context);
    }

    public static TrackContext get() {
        return CONTEXT_HOLDER.get();
    }

    //清除线程变量
    public static void clear() {
        CONTEXT_HOLDER.remove();
    }
}
