package com.docus.server.sys.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.docus.server.sys.common.pojo.dto.DeptModifyParam;
import com.docus.server.sys.common.pojo.entity.PowerDept;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 科室表 baseMapper
 * </p>
 *
 * @author wen yongbin
 * @since 2023年2月25日22:28:58
 */
@Mapper
public interface PowerDeptMapper extends BaseMapper<PowerDept> {

    /**
     * 根据科室编码查询科室信息
     *
     * @param deptCode 科室编码
     * @return 科室信息
     */
    PowerDept getDeptByDeptCode(@Param("deptCode") String deptCode);

    /**
     * 更新用户信息
     *
     * @param deptModifyParam 科室操作参数
     * @return 数据库更新信息
     */
    int updateDept(@Param("dept") DeptModifyParam deptModifyParam);

    /**
     * 添加新科室
     *
     * @param deptModifyParam 科室操作参数
     * @return 数据库添加信息
     */
    int addDept(@Param("dept") DeptModifyParam deptModifyParam);

    /**
     * 根据科室编码删除科室信息
     *
     * @param deptCode 科室编码
     * @return 数据库删除信息
     */
    int delDeptByDeptCode(@Param("deptCode") String deptCode);
}
