package com.docus.server.ecg.service.impl;

import com.docus.server.ecg.infrastructure.mapper.EcgDeptMapper;
import com.docus.server.ecg.infrastructure.mapper.EcgTBasicMapper;
import com.docus.server.ecg.infrastructure.mapper.EcgUserMapper;
import com.docus.server.ecg.service.IEcgService;
import com.docus.server.record.pojo.dto.TBasicDTO;
import com.docus.server.sys.common.pojo.dto.DeptDTO;
import com.docus.server.sys.common.pojo.dto.UserDTO;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

@Component
@AllArgsConstructor
public class EcgServiceImpl implements IEcgService {

    private final EcgDeptMapper hisDeptMapper;
    private final EcgUserMapper hisUserMapper;
    private final EcgTBasicMapper hisTBasicMapper;

    @Override
    public List<DeptDTO> getDeptListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisDeptMapper.getDeptListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }


    @Override
    public List<UserDTO> getUserListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisUserMapper.getUserListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

    @Override
    public List<TBasicDTO> getTBasicListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisTBasicMapper.getTBasicListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

}
