package com.docus.server.hl.service.impl;

import com.docus.server.hl.infrastructure.mapper.HlDeptMapper;
import com.docus.server.hl.infrastructure.mapper.HlTBasicMapper;
import com.docus.server.hl.infrastructure.mapper.HlUserMapper;
import com.docus.server.hl.service.IHlService;
import com.docus.server.record.pojo.dto.TBasicDTO;
import com.docus.server.sys.common.pojo.dto.DeptDTO;
import com.docus.server.sys.common.pojo.dto.UserDTO;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

@Component
@AllArgsConstructor
public class HlServiceImpl implements IHlService {

    private final HlDeptMapper hisDeptMapper;
    private final HlUserMapper hisUserMapper;
    private final HlTBasicMapper hisTBasicMapper;

    @Override
    public List<DeptDTO> getDeptListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisDeptMapper.getDeptListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }


    @Override
    public List<UserDTO> getUserListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisUserMapper.getUserListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

    @Override
    public List<TBasicDTO> getTBasicListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisTBasicMapper.getTBasicListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

}
