package com.docus.server.issubmit.service.impl;

import com.docus.server.issubmit.infrastructure.mapper.IssubmitDeptMapper;
import com.docus.server.issubmit.infrastructure.mapper.IssubmitTBasicMapper;
import com.docus.server.issubmit.infrastructure.mapper.IssubmitUserMapper;
import com.docus.server.issubmit.service.IIssubmitService;
import com.docus.server.record.pojo.dto.TBasicDTO;
import com.docus.server.sys.common.pojo.dto.DeptDTO;
import com.docus.server.sys.common.pojo.dto.UserDTO;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

@Component
@AllArgsConstructor
public class IssubmitServiceImpl implements IIssubmitService {

    private final IssubmitDeptMapper hisDeptMapper;
    private final IssubmitUserMapper hisUserMapper;
    private final IssubmitTBasicMapper hisTBasicMapper;

    @Override
    public List<DeptDTO> getDeptListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisDeptMapper.getDeptListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }


    @Override
    public List<UserDTO> getUserListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisUserMapper.getUserListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

    @Override
    public List<TBasicDTO> getTBasicListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisTBasicMapper.getTBasicListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

}
