package com.docus.server.pacs.service.impl;

import com.docus.server.pacs.infrastructure.mapper.PacsDeptMapper;
import com.docus.server.pacs.infrastructure.mapper.PacsTBasicMapper;
import com.docus.server.pacs.infrastructure.mapper.PacsUserMapper;
import com.docus.server.pacs.service.IPacsService;
import com.docus.server.record.pojo.dto.TBasicDTO;
import com.docus.server.sys.common.pojo.dto.DeptDTO;
import com.docus.server.sys.common.pojo.dto.UserDTO;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

@Component
@AllArgsConstructor
public class PacsServiceImpl implements IPacsService {

    private final PacsDeptMapper hisDeptMapper;
    private final PacsUserMapper hisUserMapper;
    private final PacsTBasicMapper hisTBasicMapper;

    @Override
    public List<DeptDTO> getDeptListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisDeptMapper.getDeptListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }


    @Override
    public List<UserDTO> getUserListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisUserMapper.getUserListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

    @Override
    public List<TBasicDTO> getTBasicListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisTBasicMapper.getTBasicListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

}
