package com.docus.server.vte.service.impl;

import com.docus.server.record.pojo.dto.TBasicDTO;
import com.docus.server.sys.common.pojo.dto.DeptDTO;
import com.docus.server.sys.common.pojo.dto.UserDTO;
import com.docus.server.vte.infrastructure.mapper.VteDeptMapper;
import com.docus.server.vte.infrastructure.mapper.VteTBasicMapper;
import com.docus.server.vte.infrastructure.mapper.VteUserMapper;
import com.docus.server.vte.service.IVteService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

@Component
@AllArgsConstructor
public class VteServiceImpl implements IVteService {

    private final VteDeptMapper hisDeptMapper;
    private final VteUserMapper hisUserMapper;
    private final VteTBasicMapper hisTBasicMapper;

    @Override
    public List<DeptDTO> getDeptListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisDeptMapper.getDeptListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }


    @Override
    public List<UserDTO> getUserListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisUserMapper.getUserListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

    @Override
    public List<TBasicDTO> getTBasicListView(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisTBasicMapper.getTBasicListView(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

}
